#language: ru

@financial_results

Функционал: 008. financial_results. Корректировка списания запасов

Сценарий: 008.1. financial_results. Создание Корректировки списания запасов

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.008. ФинРез"
	Дано я удаляю объекты "Документы.к2КорректировкаСписанияЗапасов" без контроля ссылок
	И Я начинаю создавать корректировку списания запасов с "01.02.2021" по "28.02.2021" для "ТД_Молочный мир"
	И в поле с именем 'Комментарий' я ввожу текст 'КорректировкаСписанияЗапасов280221'
	* Проверка заполненных значений
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "Период" стал равен 'февраль 2021 г.'
		Тогда элемент формы с именем "Комментарий" стал равен 'КорректировкаСписанияЗапасов280221'
		Тогда элемент формы с именем "Дата" стал равен '28.02.2021  0:00:00'
	И Я заканчиваю создавать корректировку списания запасов

Сценарий: 008.2. financial_results. Проверка движений Корректировки списания запасов

	И Я проверяю движения корректировки списания запасов "КорректировкаСписанияЗапасов280221"

Сценарий: 008.3. financial_results. Проверка отборов на форме списка корректировок списания запасов

	И В командном интерфейсе я выбираю 'Деньги' 'Корректировки списания запасов'
	Тогда открылось окно 'Корректировки списания запасов'
	* Отбор по периоду
		И я нажимаю на гиперссылку 'Период'
		И Я указываю в диалоге стандартного периода период с "01.03.2021" по "31.03.2021"
		Тогда открылось окно 'Корректировки списания запасов'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по периоду
		И я нажимаю на гиперссылку 'Период'
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Корректировки списания запасов'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Организация'     | 'Комментарий'                        |
			| '28.02.2021' | 'ТД_Молочный мир' | 'КорректировкаСписанияЗапасов280221' |
	* Отбор по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по организации
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Отбор по пользователю
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Пользователь'
	* Очистка отбора по пользователю
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Корректировки списания запасов'